Skip to content
API reference

Reservations

Offers, reservations and sales on units.

GET/reservations

List reservations

Needs the permission reservations:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 200. default 50
cursorquerystringup to 512 characters
leadIdquerystring (uuid)
propertyIdquerystring (uuid)
statusquerystringup to 80 characters
completedFromquerystring
completedToquerystring
testqueryone of exclude
curl -X GET https://crm.anibrosdesign.com/api/v1/reservations \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

POST/reservations

Create a reservation

Needs the permission reservations:create.

ParameterInTypeNotes
Idempotency-KeyheaderstringAny unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters
Body fieldTypeNotes
leadId requiredstring (uuid)
propertyId requiredstring (uuid)
offerPricenumber or null
holdUntilstring (date-time) or null
notestring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/reservations \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"leadId":"01a15d23-0000-7000-8000-000000000000","propertyId":"01a15d23-0000-7000-8000-000000000000","offerPrice":0}'

Responses: 201 400 401 402 403 429

GET/reservations/by-property/{propertyId}

Get by property (reservation)

Needs the permission properties:read.

ParameterInTypeNotes
propertyId requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/reservations/by-property/{propertyId} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

GET/reservations/close-reasons

Get close reasons (reservations)

Needs the permission reservations:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/reservations/close-reasons \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

GET/reservations/{id}

Get a reservation

Needs the permission reservations:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/reservations/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

PATCH/reservations/{id}

Change a reservation

Needs the permission reservations:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
offerPricenumber or null
agreedPricenumber or null
holdUntilstring (date-time) or null
notestring or null
curl -X PATCH https://crm.anibrosdesign.com/api/v1/reservations/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"offerPrice":0,"agreedPrice":0,"holdUntil":"2026-10-24T10:00:00Z"}'

Responses: 200 400 401 402 403 404 412 429

POST/reservations/{id}/close

Close (reservations)

Needs the permission reservations:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
reason requiredone of buyer_withdrew, offer_rejected, price_not_agreed, financing_failed, chose_other_unit, hold_expired, other
notestring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/reservations/{id}/close \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"reason":"buyer_withdrew","note":"text"}'

Responses: 200 400 401 402 403 404 429

POST/reservations/{id}/complete

Complete (reservations)

Needs the permission reservations:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
dealValue requirednumberat least 0.01. up to 10000000000000
curl -X POST https://crm.anibrosdesign.com/api/v1/reservations/{id}/complete \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"dealValue":0.01000000000000000020816681711721685132943093776702880859375}'

Responses: 200 400 401 402 403 404 429

POST/reservations/{id}/reserve

Reserve (reservations)

Needs the permission reservations:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
tokenAmount requirednumberat least 0. up to 10000000000000
agreedPrice requirednumberat least 0.01. up to 10000000000000
holdUntilstring (date-time) or null
notestring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/reservations/{id}/reserve \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"tokenAmount":0,"agreedPrice":0.01000000000000000020816681711721685132943093776702880859375,"holdUntil":"2026-10-24T10:00:00Z"}'

Responses: 200 400 401 402 403 404 429

Something missing or unclear? Tell us.

Chat on WhatsApp